API reference Every endpoint below is read from the API's own OpenAPI document, so this is the actual contract - not a copy of it that drifts.
Base URL https://api.glytos.com/api/v1. Authenticate with a bearer API key - see Authentication . Errors carry a stable code - see Errors and limits .
providers GET /api/v1/providersList Providers GET /api/v1/providers/{service_type}/{key}/resourcesGet Provider Resources workflows GET /api/v1/workflowsList Workflows POST /api/v1/workflowsCreate Workflow GET /api/v1/workflows/templatesList Workflow Templates GET /api/v1/workflows/{workflow_uuid}Get Workflow PATCH /api/v1/workflows/{workflow_uuid}Rename Workflow DELETE /api/v1/workflows/{workflow_uuid}Delete Workflow GET /api/v1/workflows/{workflow_uuid}/exportExport Workflow POST /api/v1/workflows/{workflow_uuid}/promotePromote Workflow PUT /api/v1/workflows/{workflow_uuid}/definitionUpdate Definition PUT /api/v1/workflows/{workflow_uuid}/configUpdate Config POST /api/v1/workflows/{workflow_uuid}/publishPublish Workflow POST /api/v1/workflows/{workflow_uuid}/duplicateDuplicate Workflow POST /api/v1/workflows/{workflow_uuid}/archiveArchive Workflow POST /api/v1/workflows/{workflow_uuid}/unarchiveUnarchive Workflow POST /api/v1/workflows/{workflow_uuid}/runs/textRun Text GET /api/v1/workflows/{workflow_uuid}/versionsList Versions POST /api/v1/workflows/{workflow_uuid}/sessionsStart Session POST /api/v1/workflows/{workflow_uuid}/sessions/{session_uuid}/messagesPost Session Message POST /api/v1/workflows/{workflow_uuid}/sessions/{session_uuid}/messages/streamStream Session Message POST /api/v1/workflows/{workflow_uuid}/sessions/{session_uuid}/voiceVoice Turn GET /api/v1/workflows/{workflow_uuid}/sessions/{session_uuid}/eventsList Session Events GET /api/v1/workflows/{workflow_uuid}/sessions/{session_uuid}Get Session agent-folders GET /api/v1/agent-foldersList Agent Folders POST /api/v1/agent-foldersCreate Agent Folder PATCH /api/v1/agent-folders/{folder_uuid}Rename Agent Folder DELETE /api/v1/agent-folders/{folder_uuid}Delete Agent Folder sessions GET /api/v1/sessionsList Sessions knowledge-base GET /api/v1/knowledge-base/documentsList Documents POST /api/v1/knowledge-base/documentsCreate Document POST /api/v1/knowledge-base/documents/uploadUpload Document GET /api/v1/knowledge-base/documents/{document_id}Get Document DELETE /api/v1/knowledge-base/documents/{document_id}Delete Document POST /api/v1/knowledge-base/searchSearch vector-stores GET /api/v1/vector-storesList Vector Stores POST /api/v1/vector-storesCreate Vector Store GET /api/v1/vector-stores/{store_uuid}Get Vector Store DELETE /api/v1/vector-stores/{store_uuid}Delete Vector Store DELETE /api/v1/vector-stores/{store_uuid}/documents/{document_id}Remove From Vector Store POST /api/v1/vector-stores/{store_uuid}/documents/uploadUpload To Vector Store rbac GET /api/v1/rbac/permissionsList Permissions GET /api/v1/rbac/rolesList Roles POST /api/v1/rbac/rolesCreate Role PATCH /api/v1/rbac/roles/{role_id}Update Role DELETE /api/v1/rbac/roles/{role_id}Delete Role GET /api/v1/rbac/membersList Members PATCH /api/v1/rbac/members/{user_id}Update Member Role DELETE /api/v1/rbac/members/{user_id}Remove Member POST /api/v1/rbac/invitationsInvite Member GET /api/v1/rbac/invitations/{token}Preview Invitation POST /api/v1/rbac/invitations/acceptAccept Invitation environments GET /api/v1/environmentsList Environments organization GET /api/v1/organizationGet Organization PATCH /api/v1/organizationUpdate Organization organizations GET /api/v1/organizationsList My Organizations POST /api/v1/organizationsCreate My Organization POST /api/v1/organizations/switchSwitch My Organization regions GET /api/v1/regionsList Regions entitlements GET /api/v1/entitlements/plansList Plans GET /api/v1/entitlementsGet Entitlements GET /api/v1/entitlements/flagsGet Flags POST /api/v1/entitlements/flagsUpsert Flag POST /api/v1/entitlements/flags/{key}/toggleToggle Flag audit GET /api/v1/auditList Audit GET /api/v1/audit/exportExport Audit webhooks GET /api/v1/webhooks/eventsList Events GET /api/v1/webhooks/endpointsList Endpoints POST /api/v1/webhooks/endpointsCreate Endpoint PATCH /api/v1/webhooks/endpoints/{endpoint_id}Update Endpoint DELETE /api/v1/webhooks/endpoints/{endpoint_id}Delete Endpoint GET /api/v1/webhooks/deliveriesList Deliveries POST /api/v1/webhooks/deliveries/{delivery_id}/redeliverRedeliver billing GET /api/v1/billing/usageUsage GET /api/v1/billing/creditsCredit Balance GET /api/v1/billing/credits/transactionsCredit Transactions GET /api/v1/billing/topup/quoteTopup Quote POST /api/v1/billing/topupStart Topup GET /api/v1/billing/profileGet Billing Profile PUT /api/v1/billing/profileSave Billing Profile calls GET /api/v1/callsList Calls POST /api/v1/callsCreate Call POST /api/v1/calls/web-tokenCreate Web Call Token POST /api/v1/calls/{call_uuid}/controlControl Call GET /api/v1/calls/{call_uuid}Get Call chat POST /api/v1/chat/tokenCreate Chat Token POST /api/v1/chat/messagesSend Chat Message POST /api/v1/chat/streamStream Chat Message POST /api/v1/chat/filesUpload Chat File imports GET /api/v1/imports/sourcesList Import Sources POST /api/v1/imports/openai-assistantImport Openai Assistant POST /api/v1/imports/{source}/connectConnect Source POST /api/v1/imports/{source}/pullPull Source POST /api/v1/imports/{source}Import From Source credentials GET /api/v1/credentials/providersList Credential Providers GET /api/v1/credentialsList Credentials PUT /api/v1/credentialsUpsert Credential DELETE /api/v1/credentials/{provider}Delete Credential do-not-call GET /api/v1/dncList Entries POST /api/v1/dnc/importImport Entries PATCH /api/v1/dnc/{phone}Update Scope DELETE /api/v1/dnc/{phone}Remove Entry integrations GET /api/v1/integrationsList Integrations GET /api/v1/integrations/connectionsList Connections POST /api/v1/integrations/connectionsCreate Connection PATCH /api/v1/integrations/connections/{connection_uuid}Update Connection DELETE /api/v1/integrations/connections/{connection_uuid}Delete Connection POST /api/v1/integrations/connections/{connection_uuid}/runRun Connection Action POST /api/v1/integrations/{key}/runRun Action automations GET /api/v1/automationsList Automations POST /api/v1/automationsCreate Automation PATCH /api/v1/automations/{automation_uuid}Update Automation DELETE /api/v1/automations/{automation_uuid}Delete Automation GET /api/v1/automations/{automation_uuid}/runsList Runs POST /api/v1/automations/{automation_uuid}/testTest Automation test-suites GET /api/v1/test-suitesList Suites POST /api/v1/test-suitesCreate Suite PUT /api/v1/test-suites/{suite_uuid}Update Suite DELETE /api/v1/test-suites/{suite_uuid}Delete Suite POST /api/v1/test-suites/{suite_uuid}/runRun Suite api-keys GET /api/v1/api-keysList Keys POST /api/v1/api-keysCreate Key DELETE /api/v1/api-keys/{key_id}Revoke Key POST /api/v1/tools/mcp/discoverDiscover Mcp Tools GET /api/v1/toolsList Tools POST /api/v1/toolsCreate Tool PATCH /api/v1/tools/{tool_uuid}Update Tool DELETE /api/v1/tools/{tool_uuid}Delete Tool telephony GET /api/v1/telephony/providersList Providers GET /api/v1/telephony/numbersList Numbers POST /api/v1/telephony/numbersProvision Number GET /api/v1/telephony/numbers/searchSearch Numbers POST /api/v1/telephony/numbers/importImport Number POST /api/v1/telephony/numbers/instantInstant Number POST /api/v1/telephony/numbers/{number_uuid}/assignAssign Number DELETE /api/v1/telephony/numbers/{number_uuid}Release Number GET /api/v1/telephony/sip-trunks/presetsList Sip Presets GET /api/v1/telephony/sip-trunksList Sip Trunks POST /api/v1/telephony/sip-trunksCreate Sip Trunk PATCH /api/v1/telephony/sip-trunks/{trunk_uuid}Update Sip Trunk DELETE /api/v1/telephony/sip-trunks/{trunk_uuid}Delete Sip Trunk POST /api/v1/telephony/sip-trunks/{trunk_uuid}/testTest Sip Trunk GET /api/v1/telephony/campaignsList Campaigns POST /api/v1/telephony/campaignsCreate Campaign POST /api/v1/telephony/campaigns/suppression-previewPreview Suppression GET /api/v1/telephony/campaigns/{campaign_uuid}Get Campaign PATCH /api/v1/telephony/campaigns/{campaign_uuid}Update Campaign DELETE /api/v1/telephony/campaigns/{campaign_uuid}Delete Campaign POST /api/v1/telephony/campaigns/{campaign_uuid}/startStart Campaign POST /api/v1/telephony/campaigns/{campaign_uuid}/stopStop Campaign POST /api/v1/telephony/campaigns/{campaign_uuid}/duplicateDuplicate Campaign GET /api/v1/telephony/campaigns/{campaign_uuid}/exportExport Campaign POST /api/v1/telephony/campaigns/{campaign_uuid}/contacts/syncSync Campaign Contacts analytics GET /api/v1/analytics/overviewOverview logs GET /api/v1/logs/apiList Api Logs GET /api/v1/platformPlatform Info public GET /api/v1/public/pricingPublic Pricing agency GET /api/v1/agency/subaccountsList Subaccounts POST /api/v1/agency/subaccountsCreate Subaccount PATCH /api/v1/agency/subaccounts/{subaccount_id}/brandingUpdate Branding health GET /health/readyReadiness Generating a client The API is a plain REST service described by OpenAPI, so a client for any language is a generator command away:
openapi-generator-cli generate -i https://api.glytos.com/api/v1/openapi.json -g php -o ./glytos-phpSwap -g php for go, ruby, java, csharp, rust or any other generator target. For the browser, Node and Python there are official, hand-written SDKs that are nicer than generated ones - see SDKs .